
rbd - Bug #52478

[pwl ssd] Aborted in load_existing_entries: Decoded root:

09/01/2021 03:16 AM - Hualong Feng

Status: Closed % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Affected Versions: v17.0.0

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

This issue was triggered when I tested my PR.

2021-09-01T09:43:19.515

 DEBUG:teuthology.orchestra.run.real302:> adjust-ulimits ceph-coverage /home/ubuntu/cephtest/archi

ve/coverage rbd -p rbd rm client.0.2

2021-09-01T09:43:29.575 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.335+0800 

7fb7437fe700 10 librbd::cache::pwl:InitRequest 0x7fb74404d000 get_image_cache_state:

2021-09-01T09:43:29.581 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700 20

 librbd::cache::pwl::ImageCacheState: create_image_cache_state: image_cache_state: {"present":"

true","empty":"true","clean":"true","cache_type":"ssd","pwl_host":"teuth-23","pwl_path":"

/home/ubuntu/cephtest/write_back_cache/rbd-pwl.rbd.10a97e17ccc9.pool","pwl_size":1073741824}

2021-09-01T09:43:29.581 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700 20

 librbd::cache::pwl::ImageCacheState: ImageCacheState: Initialize RWL cache state with data from s

erver side

2021-09-01T09:43:29.582 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700 10 librbd::cache::pwl:InitRequest 0x7fb74404d000 init_image_cache:

2021-09-01T09:43:29.582 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700 20 librbd::cache::pwl::AbstractWriteLog: 0x7fb72c00d690 init:

2021-09-01T09:43:29.582 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700 20 librbd::cache::pwl::AbstractWriteLog: 0x7fb72c00d690 pwl_init:

2021-09-01T09:43:29.583 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700  5 librbd::cache::pwl::AbstractWriteLog: 0x7fb72c00d690 pwl_init: image name: client

.0.2 id: 10a97e17ccc9

2021-09-01T09:43:29.583 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700  5 librbd::cache::pwl::AbstractWriteLog: 0x7fb72c00d690 pwl_init: pwl_size: 

1073741824

2021-09-01T09:43:29.583 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700  5 librbd::cache::pwl::AbstractWriteLog: 0x7fb72c00d690

 pwl_init: pwl_path: /home/ubuntu/cephtest/write_back_cache/rbd-pwl.rbd.10a97e17ccc9.pool

2021-09-01T09:43:29.584 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700  5 librbd::cache::pwl::AbstractWriteLog: 0x7fb72c00d690

 pwl_init: pool /home/ubuntu/cephtest/write_back_cache/rbd-pwl.rbd.10a97e17ccc9.pool size 

1073741824 (adjusted from 1073741824)

2021-09-01T09:43:29.584 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.339+0800 

7fb7437fe700  1 bdev(0x7fb72c024aa0 /home/ubuntu/cephtest/write_back_cache/rbd-pwl.rbd.10

a97e17ccc9.pool) open path /home/ubuntu/cephtest/write_back_cache/rbd-pwl.rbd.10a97e17ccc9.pool

2021-09-01T09:43:29.584 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.343+0800 

7fb7437fe700  1 bdev(0x7fb72c024aa0 /home/ubuntu/cephtest/write_back_cache/rbd-pwl.rbd.10

a97e17ccc9.pool) open size 1073741824 (0x40000000, 1 GiB) block_size 4096 (4

 KiB) rotational discard supported
2021-09-01T09:43:29.585 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.343+0800 

7fb7437fe700  1 librbd::cache::pwl::ssd::WriteLog: 0x7fb72c00d690

 load_existing_entries: Decoded root: pool_size=1073741824 first_valid_entry=147578880

 first_free_entry=684449792 flushed_sync_gen=0

2021-09-01T09:43:29.592

 INFO:teuthology.orchestra.run.real302.stderr:terminate called after throwing an instance of 'c

eph::buffer::v15_2_0::end_of_buffer'

2021-09-01T09:43:29.594 INFO:teuthology.orchestra.run.real302.stderr:  what():  End of buffer

2021-09-01T09:43:29.594

 INFO:teuthology.orchestra.run.real302.stderr:*** Caught signal (Aborted) **

2021-09-01T09:43:29.595 INFO:teuthology.orchestra.run.real302.stderr: in thread 7f

b7437fe700 thread_name:io_context_pool

2021-09-01T09:43:29.597 INFO:teuthology.orchestra.run.real302.stderr: ceph version 17.0.0-7199

-g1c0e205e227 (1c0e205e227c2aa9209ff86a5107ed7d79ffce1c) quincy (dev)

2021-09-01T09:43:29.597 INFO:teuthology.orchestra.run.real302.stderr: 1

: /lib/x86_64-linux-gnu/libpthread.so.0(+0x153c0) [0x7fb7539253c0]

2021-09-01T09:43:29.597 INFO:teuthology.orchestra.run.real302.stderr: 2: gsignal()

2021-09-01T09:43:29.597 INFO:teuthology.orchestra.run.real302.stderr: 3: abort()

2021-09-01T09:43:29.597 INFO:teuthology.orchestra.run.real302.stderr: 4

: /lib/x86_64-linux-gnu/libstdc++.so.6(+0x9e911) [0x7fb753792911]

2021-09-01T09:43:29.598 INFO:teuthology.orchestra.run.real302.stderr: 5

: /lib/x86_64-linux-gnu/libstdc++.so.6(+0xaa38c) [0x7fb75379e38c]

2021-09-01T09:43:29.598 INFO:teuthology.orchestra.run.real302.stderr: 6

: /lib/x86_64-linux-gnu/libstdc++.so.6(+0xa9369) [0x7fb75379d369]

2021-09-01T09:43:29.598 INFO:teuthology.orchestra.run.real302.stderr: 7: __gxx_personality_v0()

2021-09-01T09:43:29.598 INFO:teuthology.orchestra.run.real302.stderr: 8

: /lib/x86_64-linux-gnu/libgcc_s.so.1(+0x10bef) [0x7fb753598bef]

2021-09-01T09:43:29.598 INFO:teuthology.orchestra.run.real302.stderr: 9: _Unwind_Resume()

2021-09-01T09:43:29.598 INFO:teuthology.orchestra.run.real302.stderr: 10: /lib/librados.so.2(+

0xdf1fa) [0x7fb7546571fa]

2021-09-01T09:43:29.598 INFO:teuthology.orchestra.run.real302.stderr: 11: /lib/librados.so.2(+

0xe49ec) [0x7fb75465c9ec]

2021-09-01T09:43:29.599 INFO:teuthology.orchestra.run.real302.stderr: 12

: /lib/x86_64-linux-gnu/libstdc++.so.6(+0xd6de4) [0x7fb7537cade4]

2021-09-01T09:43:29.599 INFO:teuthology.orchestra.run.real302.stderr: 13

: /lib/x86_64-linux-gnu/libpthread.so.0(+0x9609) [0x7fb753919609]

2021-09-01T09:43:29.599 INFO:teuthology.orchestra.run.real302.stderr: 14: clone()

2021-09-01T09:43:29.599 INFO:teuthology.orchestra.run.real302.stderr:2021-09-01T09:46:52.359+0800 

7fb7437fe700 -1 *** Caught signal (Aborted) **

2021-09-01T09:43:29.599 INFO:teuthology.orchestra.run.real302.stderr: in thread 7f

b7437fe700 thread_name:io_context_pool

History

#1 - 10/19/2021 05:08 AM - Hualong Feng

- Status changed from New to Closed
